Package org.sunflow.image

# Class ChromaticitySpectrum

java.lang.Object
org.sunflow.image.SpectralCurve
org.sunflow.image.ChromaticitySpectrum

public final class ChromaticitySpectrum extends SpectralCurve
This spectral curve represents a given (x,y) chromaticity pair as explained in the sun/sky paper (section A.5)

## Constructor Summary

Constructors
Constructor
Description
`ChromaticitySpectrum(float x, float y)`

## Method Summary

Modifier and Type
Method
Description
`static final XYZColor`
`get(float x, float y)`
`float`
`sample(float lambda)`
This function determines the actual spectral curve data.

### Methods inherited from class org.sunflow.image.SpectralCurve

`toXYZ`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChromaticitySpectrum

public ChromaticitySpectrum(float x, float y)

## Method Details

### sample

public float sample(float lambda)
Description copied from class: `SpectralCurve`
This function determines the actual spectral curve data. Note that the lambda parameter is assumed to be in nanometers.

Specified by:
  `sample` in class `SpectralCurve`
Parameters:
  `lambda` - wavelength to sample in nanometers
Returns:
  the value of the spectral curve at this point

### get

public static final XYZColor get(float x, float y)